InjectionPlan
Date: 2015-09-17

org.easymock.internal

## Class InjectionPlan

- java.lang.Object
- - org.easymock.internal.InjectionPlan

-     public class InjectionPlan
      extends java.lang.Object

  Container for mock injections and test subject injection targets.
  Since:
    3.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectionPlan()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInjection(Injection injection)` Add an `Injection` to this container.
    `void` | `addTestSubjectField(java.lang.reflect.Field f)` Add a field that should be treated as a test subject injection target.
    `java.util.List<Injection>` | `getQualifiedInjections()` Get all injections having fieldName qualifiers.
    `java.util.List<java.lang.reflect.Field>` | `getTestSubjectFields()` Get fields identified as test subjects to which injection of mocks should be attempted.
    `java.util.List<Injection>` | `getUnqualifiedInjections()` Get all injections that do not have fieldName qualifiers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectionPlan

          public InjectionPlan()

  - ### Method Detail

    - #### addInjection

          public void addInjection(Injection injection)

      Add an `Injection` to this container. It will be managed according to the presence of a fieldName qualifier, and attempting to add an Injection with a duplicate fieldName qualifier will cause an error.
      Parameters:
        `injection` - Injection to manage as part of this plan

    - #### addTestSubjectField

          public void addTestSubjectField(java.lang.reflect.Field f)

      Add a field that should be treated as a test subject injection target.
      Parameters:
        `f` - Field representing a test subject to which injection of mocks will be attempted

    - #### getTestSubjectFields

          public java.util.List<java.lang.reflect.Field> getTestSubjectFields()

      Get fields identified as test subjects to which injection of mocks should be attempted.
      Returns:
        fields representing test subjects

    - #### getQualifiedInjections

          public java.util.List<Injection> getQualifiedInjections()

      Get all injections having fieldName qualifiers.
      Returns:
        list of Injections having fieldName qualifiers

    - #### getUnqualifiedInjections

          public java.util.List<Injection> getUnqualifiedInjections()

      Get all injections that do not have fieldName qualifiers.
      Returns:
        list of Injections that do not have fieldName qualifiers.